Enroll Launch
POST
/v1/outbound-launch
const url = 'https://api.vocapable.com/v1/outbound-launch';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"accepted_offer_version":"example","accepted_offer_sha256":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/outbound-launch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "accepted_offer_version": "example", "accepted_offer_sha256": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
LaunchAcceptance
object
accepted_offer_version
required
Accepted Offer Version
string
accepted_offer_sha256
required
Accepted Offer Sha256
string
Examplegenerated
{ "accepted_offer_version": "example", "accepted_offer_sha256": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
LaunchOffer
object
plan_id
Plan Id
string
offer_version
Offer Version
string
offer_sha256
required
Offer Sha256
string
offer_markdown
required
Offer Markdown
string
monthly_base_minor
Monthly Base Minor
integer
minute_rate_minor
Minute Rate Minor
string
attempt_fee_minor
Attempt Fee Minor
string
included_sessions
Included Sessions
integer
max_call_seconds
Max Call Seconds
integer
monthly_minutes_limit
Monthly Minutes Limit
integer
monthly_attempt_limit
Monthly Attempt Limit
integer
enrolled
Enrolled
boolean
funding_required
Funding Required
boolean
Example
{ "plan_id": "plan_outbound_launch_mtm_v2", "offer_version": "outbound-launch-2026-10-21-v2", "monthly_base_minor": 0, "minute_rate_minor": "5", "attempt_fee_minor": "0.5", "included_sessions": 1, "max_call_seconds": 600, "monthly_minutes_limit": 10000, "monthly_attempt_limit": 10000, "enrolled": false, "funding_required": true}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}